Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.datax.jaudio
Class JAudioDevice

    java.lang.Object
      |
      +--cnrg.itx.datax.jaudio.JAudioDevice

public class JAudioDevice
extends java.lang.Object

Field Summary
`static boolean` | `debug`
`int` | `deviceID`
`java.lang.String` | `deviceName`
`protected static java.lang.String[]` | `deviceNames`
`protected static java.util.Vector[]` | `devices`
`static int` | `DUPLEX`
`protected static java.util.Hashtable` | `hwiDevices`
`protected static java.util.Hashtable` | `hwoDevices`
`JAudioIn` | `in`
`static int` | `INPUT`
`int` | `mode`
`JAudioOut` | `out`
`static int` | `OUTPUT`
`static int` | `SAMPLE_BITS`
`static int` | `SAMPLE_RATE`

Constructor Summary
`JAudioDevice(int deviceID)`
`JAudioDevice(int deviceID, int mode)`

Method Summary
`protected void` | `checkError()`
`void` | `close()`
`void` | `finalize()`
`static JAudioDevice` | `getDeviceByHwi(int hwi)`
`static JAudioDevice` | `getDeviceByHwo(int hwo)`
`static int` | `getNumDevices()`
`static int` | `inUse()`
`boolean` | `inUse(int deviceID, int mode)`
`static void` | `println(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    public static boolean debug

### deviceNames

    protected static java.lang.String[] deviceNames

### devices

    protected static java.util.Vector[] devices

### hwoDevices

    protected static java.util.Hashtable hwoDevices

### hwiDevices

    protected static java.util.Hashtable hwiDevices

### deviceID

    public int deviceID

### mode

    public int mode

### deviceName

    public java.lang.String deviceName

### in

    public JAudioIn in

### out

    public JAudioOut out

### DUPLEX

    public static final int DUPLEX

### INPUT

    public static final int INPUT

### OUTPUT

    public static final int OUTPUT

### SAMPLE_RATE

    public static final int SAMPLE_RATE

### SAMPLE_BITS

    public static final int SAMPLE_BITS

Constructor Detail

### JAudioDevice

    public JAudioDevice(int deviceID)
                 throws JAudioException

### JAudioDevice

    public JAudioDevice(int deviceID,
                        int mode)
                 throws JAudioException

Method Detail

### close

    public void close()
               throws JAudioException

### finalize

    public void finalize()

  Overrides:
    finalize in class java.lang.Object

### inUse

    public boolean inUse(int deviceID,
                         int mode)

### inUse

    public static int inUse()

### getNumDevices

    public static int getNumDevices()

### getDeviceByHwo

    public static JAudioDevice getDeviceByHwo(int hwo)

### getDeviceByHwi

    public static JAudioDevice getDeviceByHwi(int hwi)

### println

    public static void println(java.lang.String s)

### checkError

    protected void checkError()
                       throws JAudioException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD